Page MenuHomePhabricator

Raw <mapframe> code displayed in an infobox template when mapframe is not enabled on that wiki
Closed, ResolvedPublic

Description

Got an error in the wikipedia display https://id.m.wikipedia.org/wiki/Markas_Besar_Perserikatan_Bangsa-Bangsa


there are many errors in writing syntax located above general information
I hope to be repaired soon so that it doesn't disturb the security of Wikipedia

Details

Related Gerrit Patches:
operations/mediawiki-config : masterWikibaseClient: Conditionally enable mapframe support

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2019, 5:23 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: Security. · View Herald TranscriptMar 11 2019, 6:31 PM

Thanks for reporting this. This is not a security problem, hence making this task public.

@Kurniekaoktavian: https://id.m.wikipedia.org/wiki/Markas_Besar_Perserikatan_Bangsa-Bangsa loads https://id.wikipedia.org/wiki/Templat:Infobox_building which calls the <mapframe> part (and fails).
You may want to ask someone who recently edited that template (see https://id.wikipedia.org/w/index.php?title=Templat:Infobox_building&action=history ) to fix it.
This might be a problem with local content on id.wikipedia.org which needs to be fixed by the local community on id.wikipedia.org.

Aklapper renamed this task from bug in wikipedia display to Raw <mapframe> code displayed in an infobox template on a page in id.wikipedia.org.Mar 11 2019, 6:36 PM
Tpt added a subscriber: Tpt.Mar 13 2019, 1:02 PM

<mapframe> tag does not seems to be enabled in idwiki. See: https://id.wikipedia.org/wiki/Istimewa:Versi

MSantos triaged this task as Medium priority.Mar 19 2019, 3:15 PM

Change 501335 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] WikibaseClient: Conditionally enabled mapframe support

https://gerrit.wikimedia.org/r/501335

Change 501335 merged by jenkins-bot:
[operations/mediawiki-config@master] WikibaseClient: Conditionally enable mapframe support

https://gerrit.wikimedia.org/r/501335

hoo closed this task as Resolved.Apr 8 2019, 11:56 AM
hoo claimed this task.
hoo removed a project: Patch-For-Review.
hoo added a subscriber: hoo.

We will now output the raw coordinates on wikis where <mapframe> is disabled.

Aklapper renamed this task from Raw <mapframe> code displayed in an infobox template on a page in id.wikipedia.org to Raw <mapframe> code displayed in an infobox template when mapframe is not enabled on that wiki.Apr 8 2019, 1:29 PM
hoo added a comment.Apr 13 2019, 11:14 AM

I just looked into this again, Wikibase will never create mapframes on clients (Wikipedias). The problem above originates from Templat:Infobox_mapframe which is indirectly (via Templat:Infobox_building) used on that page. Wikibase just uses maplinks, and those are enabled on all Wikimedia wikis… due to that, I'll revert my config change.